# Race

*All races of men, however different, are to coexist in [love](love.md) and [peace](peace.md).*

Races of people are very large, loosely defined groups of genetically similar (related) people. Races usually significantly differ by their look and in physical, mental and cultural aspects; some races are physically more fit, some are more intelligent, some are better evolved for living in specific climate conditions and so on -- races make mankind very diverse; sadly they are also often a basis of [identity](identity_politics.md) [fascism](fascism.md) too. The topic of human race is nowadays forbidden to be critically discussed and researched (and even to be [joked](joke.md) about) due to the reign of [pseudoleft](pseudoleft.md) which denies existence of human races and aggressively [censors](censorship.md) and attacks any disagreement, however there exists a number of older research, information hidden in the underground and some things about races are completely obvious to those resistant to propaganda. [Good society](less_retarded_society.md), unlike for example our current [capitalist](capitalism.md) society, acknowledges the differences between human races and lets them coexist peacefully in social equality despite their differences and without any need for [bullshit](bullshit.md) such as [political correctness](political_correctness.md).

Instead of the word *race* the politically correct camp uses words such as *ethnicity* -- it's funny, sometimes they say no such thing as race exists but other times they simply have to operate with the fact that people are genetically diverse, e.g. when they accuse others of [racism](racism.md) or point out statistics that benefit them ("black people are paid less!"), as existence of discrimination based on differences between people necessarily implies the existence of differences between people -- so here they try to substitute the word *race* for a different word so as to make their self-contradiction less obvious. Anyway, it doesn't [work](work.md) :) Races indeed do exit, no matter what we call them.

**Race can be told from the shape of the skull and one's [DNA](dna.md)**, which finds use e.g. in forensics to help solve crimes. It is officially called the *ancestry estimation*. Some idiots say this should be forbidden to do because it's "racist" lmao. Besides the obvious visual difference such as skin color **races also have completely measurable differences acknowledged even by modern "science"**, for example unlike other races about 90% of Asians have dry earwax, Asians also have highest bone density, Huaorani tribe has flat feet, blood type distributions are wildly different between races, people near the equator have measurably smaller eyeballs than those very far north, even distribution of genes associated with specific behavior was measured to differ between races. Similar absolutely measurable differences exist in height, body odor, alcohol and lactose tolerance, high altitude tolerance, vulnerability to specific diseases, hair structure, cold tolerance, risk of obesity, behavior (see e.g. the infamous *[chimp out](chimp_out.md)* behavior of black people) and others. It is known for a fact that Sherpas are greatly accustomed to living in high altitudes, that's why they work as helpers for people climbing mt. Everest, they can just do it much easier than other races. While dryness of earwax is really a minor curiosity, it is completely unreasonable to believe that race differences stop at traits we humans find "controversial" and that genetics somehow magically avoids affecting traits that are harder to measure and which our current society deems politically incorrect to exist. In fact differences in important areas such as intelligence were measured very well -- these are however either censored or declared incorrect and "debunked" by unquestionable "science" authorities, because politics.

Pseudoleft uses cheap, logically faulty arguments to deny the existence of race; for example that there are no clear objective boundaries between races -- of course there are not, but how does that imply nonexistence of race? The same argument could also be given even e.g. for the term *species* (see e.g. ring species in which the boundaries are not clear) so as to invalidate it; yet we see no one doubting the existence of various species of animals. That's like saying that color doesn't exist because given any two distinct colors there exists a gradual transition, or that [music](music.md) and noise are the same thing because objectively no clear line can be drawn between them. If by this argument races don't exist, then movie genres also don't exist.

The politically correct camp further argues that there wasn't enough time for human races to develop significant differences as evolution operates on scales of millions of years while the evolution of modern humans was taking part about in an order of magnitude smaller time scale. However it has been shown that **evolution can be extremely fast and make great changes in mere DECADES**, e.g. in cases of rapid environment change (shown e.g. in a documentary *Laws of the Lizard* on anoles that show signs of evolutionary change only after 14 years, also see e.g. the book *The 10,000 Year Explosion* talking about actual acceleration of human evolution) and interbreeding with other (sub)species (e.g. Denisovan or Neanderthals, which European population bred with but African population didn't), which did occur when humans spread around the world and had to live in vastly different conditions -- successful civilizations themselves actually furthermore started to rapidly change their environment to something that favors very different traits. It has for example been found that average male brain increased from 1372 gram in 1860 to 1424 grams in 1940, a very significant change in LESS THAN A CENTURY. We can take a look at the enormous differences between dog breeds which have been bred mostly during only the last 200 years and whose differences are enormous and not only physical, but also that of intelligence and temperament -- yes, the breeding of dogs has been selective, but a rapid change in environment may have a similar accelerating effect, and the process in humans still took many tens of thousands of years. For example races of slaves were probably selectively bred, even if unintentionally, as physically fit slaves were more likely to survive than those who were smart; similarly in prospering civilizations, e.g. that of Europe, where trade, business and development of technology (e.g. military) became more crucial for survival than in primitive desert or jungle civilizations, different traits such as intelligence became preferred by evolution.

Another pseudoleftist argument is that "the DNA of any two individuals is 99.6 % identical so the differences are really insignificant". Now consider that DNA of a pig is 98 % identical to human. We see the argument is like saying a strawberry and beer is practically the same thing as they are both about 93 % water. It is known that only a minuscule part of DNA has any actual biological effect, only a small part is important and therefore including all the unimportant junk in judging similarity is just purposeful attempt at misleading statistics.

Denying the facts regarding human race is called **[race denialism](race_denialism.md)**, the acceptance of these facts is called [race realism](race_realism.md). Race denialism is part of the basis of today's [pseudoleftist](pseudoleft.md) political ideology, theories such as polygenism (multiregional hypothesis) are forbidden to be supported and they're ridiculed and demonized by mainstream information sources like [Wikipedia](wikipedia.md) who only promote the [politically correct](political_correctness.md) "out of Africa" theory. [SJWs](sjw.md) reject any idea of a race with the same religious fanaticism with which Christian fanatics opposed Darwin's evolution theory.

**What races are there?** That depends on definitions, the boundaries between races are [fuzzy](fuzzy.md) and the lines can be drawn differently. The traditional, most general division still found in the greatest 1990s encyclopedias is to three large groups: **Caucasoid** (white), **Negroid** (black) and **Mongoloid** (yellow). These can be further subdivided. Some go as far as calling different nations separate races (e.g. the Norwegian race, Russian race etc.), thought that may be a bit of a stretch. One of the first scientific divisions of people into races was done by Francois Bernier in *New Division of the Earth by the Different Species or "Races" of Man that Inhabit It* into Europeans, Asians, Africans and Sami (north Europe), based on skin color, hair color, height and shape of face, nose and eyes.

There is a controversial 1994 book called *The Bell Curve* that deals with differences in intelligence between races (later followed by other books such as *The Global Bell Curve* trying to examine the situation world-wide). [SJWs](sjw.md) indeed tried to attack it, however international experts on intelligence agree the book is correct in saying average intelligence between races differs (see e.g. [The Wall Street Journal's Mainstream Science on Intelligence](https://web.archive.org/web/20120716184838/http://www.lrainc.com/swtaboo/taboos/wsj_main.html)). Online resources with a lot of information on racial differences are e.g. https://zerocontradictions.net/FAQs/race-FAQs and http://www.humanbiologicaldiversity.com/, https://en.metapedia.org/wiki/Race_and_morphology etc. Note that even if some particular resource may be fascist, biased and contain propaganda of its own, it may likely give you information the pseudoleftist mainstream such as [Wikipedia](wikipedia.md) and [Google](google.md) simply [censor](censorship.md) -- while we may of course not approve of the politics/opinions/goals/etc. of some we link to, we still link to them to provide access to censored information so that one can seek truth and form his own opinions.

**If you want a relatively objective view on races, read old (pre 1950) books.** See for example the article on *NEGRO* in 11th edition of Encyclopedia Britannica (1911), which clearly states on page 344 of the 19th volume that "Mentally the negro is inferior to the white" and continues to cite thorough study of this, finding that black children were quite intelligent but with adulthood the intellect always went down, however it states that negro has e.g. better sense of vision and hearing. Even in the 90s still the uncensored information on race was still available in the mainstream sources, e.g. the 1995 *Desk Reference Encyclopedia* and 1993 *Columbia Encyclopedia* still have articles on races and their differences.

{ Lol, the 1917 book *The Circle of Knowledge* has a detailed table comparing various races physically and mentally, stating things like "negro: slight mental development after puberty" etc. Encyclopedia Americana (1918) also mentions a detailed description of the negro, mentioning things such as much lower brain weight, prolonged arms, distinct odor and a lower face angle. ~drummyfish }

It is useful to know the **differences in intellect** between different races (no matter whether the cause is genetic, cultural or other), though cultural and other traits linked to races may also play a big role. It is important to keep in mind intelligence isn't one dimensional, it's one of the most complex and complicated concepts we can be dealing with (remember the famous test that revealed that chimpanzees greatly outperform humans at certain intellectual tasks such as remembering the order of numbers seen for a very short period of time). We can't simplify to a single measure such as [IQ](iq.md) score, but we can measure performance at different tasks. Let intelligence here mean simply the ability to perform well in the area of given art. And of course, there are smart and stupid people in any race, the general statements we make are just about statistics and probabilities.

The smartest races seem to be [Jews](jew.md) and [Asians](asian.md) (also found so by the book *Bell Curve*). Asians have always been regarded as having superior intelligence and their [religions](religion.md) and [culture](culture.md) also seem to be the most advanced, with very complex ideas (as opposed to e.g. Christianity based on trivial rules to blindly follow), closest to [nonviolence](nonviolence.md), [socialism](socialism.md) and true [science](science.md) (e.g. [Buddhism](buddhism.md)). There is no question about the intelligence of Jews, the greatest thinkers of all times were Jewish ([Richard Stallman](rms.md), [Einstein](einstein.md), [Marx](marx.md), [Chomsky](chomsky.md), even [Jesus](jesus.md) and others). Jews have dominated despite being a minority, they seem to have a very creative intelligence and some of them decide to gain further edge by giving up their morality (i.e. becoming [capitalist](capitalism.md)), while Asians are more mechanically inclined -- they can learn a skill and bring it to perfection with an extremely deep study and dedication. Closely following is the general white race: white people have of course absolutely dominated history and there is always that one white guy at the top even in areas more dominated by other races (e.g. Eminem in rap, Carlsen in chess, Grubby in Warcraft 3, ...), however whites are still primitive in many ways ([individualism](individualism.md), [fascism](fascism.md), violence, simple religions and cults, e.g. that of economy, money, simplified commandments of Christianity etc.). The African black race known as the *negro* is one of the least intelligent according to basically all literature -- this makes a lot of sense, the race has been oppressed and living in harsh conditions for centuries and millennia and didn't get much chance to evolve towards good performance in intellectual tasks, quite the opposite, those who were physically fit rather than smart were probably more likely to survive and reproduce as slaves or jungle people (even if white people split from the blacks relatively recently, a rapid change in environment also leads to a rapid change in evolution, even that of intelligence). 1892 book *Hereditary Genius* says that the black race is *about two grades* below the white race (nowadays the gap will most likely be lower). Hispanics were found to perform somewhere in between the white and black people. There isn't so much info about other races such as the red race or Eskimos, but they're probably similarly intelligent to the black race. The above mentioned book *Hereditary Genius* gives an intelligence of the Australian aboriginal race *at least one grade below that of the negro*, making possibly the dumbest race of all. The brown races are kind of complicated, Indian people have Asian genes and showed a great intellectual potential, e.g. in [chess](chess.md), [math](math.md), philosophy (nonviolence inherently connected to India is the most intellectually advanced philosophy), and lately also [computer science](compsci.md) (even though many would argue that "[pajeets](pajeet.md)" are just trained coding monkeys, really their compsci "universities" are mostly a meme); they may be at the similar level to Hispanics.

Fun fact: there seem to be almost no black people in [chess](chess.md), the strongest one seems to be Pontus Carlsson which rates number 1618 in the world; even [women](woman.md) seem to be much better at chess than black people.

Increasing multiculturalism, globalization and mixing of the races will likely make all of this less and less relevant as time goes on -- races will blend greatly which may either help get rid of true [racism](racism.md), but also fuel it: many will oppose racial mixing, many will become more paranoid (as is already the case with Jews who are sometimes very hard to tell apart from whites) and eventually pure races will actually become a minority that may become target of reversed racism: a pale white guy in a room full of mixed people will stand out and likely get lynched (if not just for the fact of being different, then for social revenge). For now the differences in races are still greatly visible.

[LRS](lrs.md) philosophy is of course FOR multiculturalism and mixing of races -- we just hope the situation won't escalate as described above. Biodiversity is good.

## See Also

- [stereotype](stereotype.md)

